package kccf.sch.service.vo;

import java.util.Arrays;

/**  
 * 이용문의 사용 VO
 * @Class Name : QnaVO.java
 * @author wisenut 
 * @since 2018-09-12
 * @version 1.0
 */

public class SearchVO {
	
	private String query ;			 		//검색어

	private String realQuery ;				//검색어(최종)
	private String reQuery = "";			//결과내 재검색
	private String operator = "";			//검색 연산자 

	private String rt; 							//결과내재검색 체크
	
	private String notQuery ;				 //제외하는 검색어
	private String andQuery ; 				 //반드시 포함하는 검색어
	private String exactQuery ;			//정확히 일치하는 검색어
	
	private String sortField = "";			//정렬조건	
	private String range = "";				//검색기간
	private int viewCount = 0;				//출력갯수(통합)
	private String chkColls = ""; 			//상세검색 컬렉션 체크	
	private String searchField = "" ;			//검색필드

	private int startCount = 1;				//시작위치
	private String startDate = "";			//시작날짜
	private String endDate = "";			//끝날짜

	private String collection = "";			//컬렉션이름
	private String debug = "N";			//디버그 Y/N
	
	/**filter query**/
	private String chronological_start ;	//연대 앞 기간
	private String chronological_end ;	//연대 뒤 기간
	private String genyear_start ;			//발행년대 앞 기간
	private String genyear_end ;			//발행년대 뒤 기간
	
	/**exquery**/	
	private String trs_age;					//시대
	private String mgnt_no ;				//관리번호
	private String first_category ;			//주제분야(대) 선택
	private String second_category ;	//주제분야(소) 선택
	private String theme ;					//문화테마(대) 선택
	private String series ;					//문화테마(소) 선택
	
	private String theme_cd ;					//이야기자료 테마코드(대) 선택
	private String theme_nm ;					//이야기자료 테마(대) 선택
	private String series_cd ;					//이야기자료 시리즈코드(소) 선택
	private String series_nm ;					//이야기자료 시리즈(소) 선택
	
	private String first_class ;				//자료유형(대) 선택
	private String second_class;			//자료유형(소) 선택
	private String sido_name;				//지역문화원(대) 선택 - 카테고리
	private String sojang_council ;		//지역문화원(소) 선택 - 카테고리
	//String keywords = "";	//키워드
	
	private String search_area_council_info ;	//지역문화정보(지역)
	private String content_type ; 					//지역문화정보(유형)
	
	private String filter_class  ; 		//필터 더보기버튼 유지+depth1 open
	private String filter_sido  ;			//필터 더보기버튼 유지+depth1 open
	private String filter_thema  ;		//필터 더보기버튼 유지+depth1 open
	private String filter_category ;		//필터 더보기버튼 유지+depth1 open
	private String filter_info_sido ;	//필터 더보기버튼 유지
	private String filter_info_type ;	//필터 더보기버튼 유지
	
	private String filter_mylist;			//검색결과 필터 순서 저장
	private String filter_info_mylist;	//검색결과 필터 info 순서 저장
	

	public String getFilter_info_mylist() {
		return filter_info_mylist;
	}
	public void setFilter_info_mylist(String filter_info_mylist) {
		this.filter_info_mylist = filter_info_mylist;
	}
	public String getFilter_mylist() {
		return filter_mylist;
	}
	public void setFilter_mylist(String filter_mylist) {
		this.filter_mylist = filter_mylist;
	}
	public String getFilter_info_sido() {
		return filter_info_sido;
	}
	public void setFilter_info_sido(String filter_info_sido) {
		this.filter_info_sido = filter_info_sido;
	}
	public String getFilter_info_type() {
		return filter_info_type;
	}
	public void setFilter_info_type(String filter_info_type) {
		this.filter_info_type = filter_info_type;
	}
	public String getContent_type() {
		return content_type;
	}
	public void setContent_type(String content_type) {
		this.content_type = content_type;
	}
	public String getSearch_area_council_info() {
		return search_area_council_info;
	}
	public void setSearch_area_council_info(String search_area_council_info) {
		this.search_area_council_info = search_area_council_info;
	}
	public String getRt() {
		return rt;
	}
	public void setRt(String rt) {
		this.rt = rt;
	}
	public String getQuery() {
		return query;
	}
	public void setQuery(String query) {
		this.query = query;
	}
	public String getRealQuery() {
		return realQuery;
	}
	public void setRealQuery(String realQuery) {
		this.realQuery = realQuery;
	}
	public String getReQuery() {
		return reQuery;
	}
	public void setReQuery(String reQuery) {
		this.reQuery = reQuery;
	}

	public String getSortField() {
		return sortField;
	}
	public void setSortField(String sortField) {
		this.sortField = sortField;
	}
	public String getRange() {
		return range;
	}
	public void setRange(String range) {
		this.range = range;
	}
	public int getViewCount() {
		return viewCount;
	}
	public void setViewCount(int viewCount) {
		this.viewCount = viewCount;
	}
	public String getChkColls() {
		return chkColls;
	}
	public void setChkColls(String chkColls) {
		this.chkColls = chkColls;
	}
	public String getSearchField() {
		return searchField;
	}
	public void setSearchField(String searchField) {
		this.searchField = searchField;
	}
	public int getStartCount() {
		return startCount;
	}
	public void setStartCount(int startCount) {
		this.startCount = startCount;
	}
	public String getCollection() {
		return collection;
	}
	public void setCollection(String collection) {
		this.collection = collection;
	}
	public String getDebug() {
		return debug;
	}
	public void setDebug(String debug) {
		this.debug = debug;
	}
	public String getChronological_start() {
		return chronological_start;
	}
	public void setChronological_start(String chronological_start) {
		this.chronological_start = chronological_start;
	}
	public String getChronological_end() {
		return chronological_end;
	}
	public void setChronological_end(String chronological_end) {
		this.chronological_end = chronological_end;
	}
	public String getGenyear_start() {
		return genyear_start;
	}
	public void setGenyear_start(String genyear_start) {
		this.genyear_start = genyear_start;
	}
	public String getGenyear_end() {
		return genyear_end;
	}
	public void setGenyear_end(String genyear_end) {
		this.genyear_end = genyear_end;
	}
	public String getTrs_age() {
		return trs_age;
	}
	public void setTrs_age(String trs_age) {
		this.trs_age = trs_age;
	}	
	public String getMgnt_no() {
		return mgnt_no;
	}
	public void setMgnt_no(String mgnt_no) {
		this.mgnt_no = mgnt_no;
	}
	public String getFirst_category() {
		return first_category;
	}
	public void setFirst_category(String first_category) {
		this.first_category = first_category;
	}
	public String getSecond_category() {
		return second_category;
	}
	public void setSecond_category(String second_category) {
		this.second_category = second_category;
	}
	public String getTheme() {
		return theme;
	}
	public void setTheme(String theme) {
		this.theme = theme;
	}
	public String getSeries() {
		return series;
	}
	public void setSeries(String series) {
		this.series = series;
	}
	
	public String getTheme_cd() {
		return theme_cd;
	}
	public void setTheme_cd(String theme_cd) {
		this.theme_cd = theme_cd;
	}
	public String getTheme_nm() {
		return theme_nm;
	}
	public void setTheme_nm(String theme_nm) {
		this.theme_nm = theme_nm;
	}
	public String getSeries_cd() {
		return series_cd;
	}
	public void setSeries_cd(String series_cd) {
		this.series_cd = series_cd;
	}
	public String getSeries_nm() {
		return series_nm;
	}
	public void setSeries_nm(String series_nm) {
		this.series_nm = series_nm;
	}
	public String getFirst_class() {
		return first_class;
	}
	public void setFirst_class(String first_class) {
		this.first_class = first_class;
	}
	public String getSecond_class() {
		return second_class;
	}
	public void setSecond_class(String second_class) {
		this.second_class = second_class;
	}
	public String getSido_name() {
		return sido_name;
	}
	public void setSido_name(String sido_name) {
		this.sido_name = sido_name;
	}
	public String getSojang_council() {
		return sojang_council;
	}
	public void setSojang_council(String sojang_council) {
		this.sojang_council = sojang_council;
	}
	public String getStartDate() {
		return startDate;
	}
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	public String getOperator() {
		return operator;
	}
	public void setOperator(String operator) {
		this.operator = operator;
	}
	public String getNotQuery() {
		return notQuery;
	}
	public void setNotQuery(String notQuery) {
		this.notQuery = notQuery;
	}
	public String getAndQuery() {
		return andQuery;
	}
	public void setAndQuery(String andQuery) {
		this.andQuery = andQuery;
	}
	public String getExactQuery() {
		return exactQuery;
	}
	public void setExactQuery(String exactQuery) {
		this.exactQuery = exactQuery;
	}
	public String getFilter_class() {
		return filter_class;
	}
	public void setFilter_class(String filter_class) {
		this.filter_class = filter_class;
	}
	public String getFilter_sido() {
		return filter_sido;
	}
	public void setFilter_sido(String filter_sido) {
		this.filter_sido = filter_sido;
	}
	public String getFilter_thema() {
		return filter_thema;
	}
	public void setFilter_thema(String filter_thema) {
		this.filter_thema = filter_thema;
	}
	public String getFilter_category() {
		return filter_category;
	}
	public void setFilter_category(String filter_category) {
		this.filter_category = filter_category;
	}
	@Override
	public String toString() {
		return "SearchVO [query=" + query + ", realQuery=" + realQuery
				+ ", reQuery=" + reQuery + ", operator=" + operator + ", rt="
				+ rt + ", notQuery=" + notQuery + ", andQuery=" + andQuery
				+ ", exactQuery=" + exactQuery + ", sortField=" + sortField
				+ ", range=" + range + ", viewCount=" + viewCount
				+ ", chkColls=" + chkColls + ", searchField=" + searchField
				+ ", startCount=" + startCount + ", startDate=" + startDate
				+ ", endDate=" + endDate + ", collection=" + collection
				+ ", debug=" + debug + ", chronological_start="
				+ chronological_start + ", chronological_end="
				+ chronological_end + ", genyear_start=" + genyear_start
				+ ", genyear_end=" + genyear_end + ", trs_age=" + trs_age
				+ ", mgnt_no=" + mgnt_no + ", first_category=" + first_category
				+ ", second_category=" + second_category
				+ ", theme_cd=" + theme_cd
				+ ", theme_nm=" + theme_nm
				+ ", series_cd=" + series_cd
				+ ", series_nm=" + series_nm
				+ ", first_class=" + first_class
				+ ", second_class=" + second_class + ", sido_name=" + sido_name
				+ ", sojang_council=" + sojang_council
				+ ", search_area_council_info=" + search_area_council_info
				+ ", content_type=" + content_type + ", filter_class="
				+ filter_class + ", filter_sido=" + filter_sido
				+ ", filter_thema=" + filter_thema + ", filter_category="
				+ filter_category + ", filter_info_sido=" + filter_info_sido
				+ ", filter_info_type=" + filter_info_type + ", filter_mylist="
				+ filter_mylist + ", filter_info_mylist=" + filter_info_mylist
				+ "]";
	}


	

}
